1

I just installed Linux Mint 18 and began using the default pdf reader: xreader. However, sometimes when I leave a pdf open and compile it using pdflatex the program closes with this message:

(xreader:25493): Gtk-CRITICAL **: gtk_widget_get_parent: assertion 'GTK_IS_WIDGET (widget)' failed

(xreader:25493): GLib-GObject-WARNING **: invalid unclassed pointer in cast to 'EvWebView'

This never happened with evince and I think it shouldn't happen. I could switch back to evince (assuming they're not the same program renamed) but I liked to X-apps initiative and would like to keep xreader.

What might be causing this and how could I fix it?

Cheers

0

This seems to be a known bug. And this other one is possibly related.

And it seems to have been fixed with this pull request. Try compiling and then installing xreader from its latest commit in the master branch.

0

I have the same problem. As a workaround, when invoking pdflatex, I use something like

pdflatex whateverfile.tex; xdg-open whateverfile.pdf

This will immediately reopen the PDF. Although this is not a full solution, I find that it still works ok for me.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.